=== doc/presentations/demos_defcon24_2016/apache/Makefile ===
CC	:=	gcc
CFLAGS	:=	-W -Wall
LDFLAGS	:=	/usr/sbin/apache2

all::
	$(CC) $(CFLAGS) ap2version.c -o ap2version $(LDFLAGS)
