=== src/wsh/tests/apache2/Makefile ===
#
# This file is part of the Witchcraft Compiler Collection
# Copyright 2016 Jonathan Brossard
#
# Homepage: https://github.com/endrazine/wcc/
#
# This file is licensed under MIT License.
#

CC := gcc 
CFLAGS := -W -Wall -Wextra
LDFLAGS := /usr/sbin/apache2

all::
	$(CC) $(CFLAGS) $(LDFLAGS) ap2v.c -o ap2v

clean:
	rm ap2v -f
