## wcc 0.0.2%2Bdfsg

=== debian/control ===
Source: wcc
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Philippe Thierry <philou@debian.org>
Build-Depends:
 debhelper (>= 12),
 binutils-dev,
 libcapstone-dev,
 libelf-dev,
 libreadline-dev,
 libgsl-dev,
 clang,
 libiberty-dev,
 libzstd-dev,
 liblua5.3-dev,
 pkg-config
Built-Using:
 binutils-dev
Standards-Version: 4.5.0
Homepage: https://github.com/endrazine/wcc
Vcs-Git: https://salsa.debian.org/pkg-security-team/wcc.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/wcc

Package: wcc
Architecture: amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: lua
Description: Collection of tools to manipulate binaries and shared objects
 This tool permits one to manipulate binaries and shared liraries to reuse
 their API into an external usage, as a relocatable object that
 can be linked to a new project, or through an interpreter (wsh)
 to execute internal API directly.
