=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: wcc
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Philippe Thierry <philou@debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Philippe Thierry <phil@reseau-libre.net>
 Build-Depends:
- debhelper (>= 12),
+ debhelper (>= 10),
  binutils-dev,
  libcapstone-dev,
  libelf-dev,
@@ -13,12 +12,10 @@
  libgsl-dev,
  clang,
  libiberty-dev,
- libzstd-dev,
  liblua5.3-dev,
+ libopenlibm-dev,
  pkg-config
-Built-Using:
- binutils-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/endrazine/wcc
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wcc.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wcc
