=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_install:
	@echo using dh_install manually	

override_dh_fixperms:
	chmod 644 debian/wcc/usr/share/wcc/scripts/debug
	dh_fixperms

%:
	dh $@ 

# get back current tag release notes from GitHub
mkrelease:
	quilt push changelog.patch
	debian/lib/gen_changelog.sh
	quilt refresh
	quilt pop -a
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the changelog file has been
	@echo generated SUCCESSFULLY.
	@echo
	exit 1
