=== debian/tests/control ===
Tests: wsh-libs.wsh
Restrictions: allow-stderr
Depends: @, openssh-client

Test-command: ./debian/tests/wsh-ssl.wsh /usr/bin/ssh
Restrictions: allow-stderr
Depends: @, openssh-client

Tests: wldd.sh
Depends: @, openssh-server

Tests: wcc.sh
