=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_install:
	@echo using dh_install manually	

override_dh_fixperms:
	chmod 644 debian/wcc/usr/share/wcc/scripts/debug
	dh_fixperms

override_dh_gencontrol:
	dh_gencontrol -- -Vwcc:Built-Using="$(shell dpkg-query --show -f '$${source:Package} (=$${source:Version}),' binutils-dev)"

%:
	dh $@
